**Package Purpose**

The `ggd-py-utils` package is a collection of reusable utilities for Python projects. The package is designed to provide a set of useful tools for various tasks, including tracing, machine learning, and formatting.

**Dependencies**

The package requires the following dependencies:

* `faiss-cpu==1.8.0`
* `unidecode==1.3.8`
* `colorama==0.4.6`
* `chime==0.7.0`
* `fasttext-wheel==0.9.2`
* `plotly==5.22.0`
* `nltk==3.8.1`
* `tf_keras==2.18.0`
* `numpy==1.26.4`
* `torch==2.2.2`
* `sentence-transformers==3.0.1`

**Installation**

To install the package, run the following command:
```bash
pip uninstall ggd-py-utils -y; pip install ggd-py-utils --upgrade
```
**Updating**

To update the package, run the following command:
```bash
pip install --upgrade ggd-py-utils
```
**Uninstallation**

To uninstall the package, run the following command:
```bash
pip uninstall ggd-py-utils -y
```